# mpdf Class Reference
[Core BDM classes]

Conditional probability density, e.g. modeling some dependencies. More...

`#include <libBM.h>`

Inheritance diagram for mpdf:

[legend]
Collaboration diagram for mpdf:

[legend]

List of all members.

## Public Member Functions
virtual vec | samplecond (const vec &cond, double &ll)
| Returns a sample from the density conditioned on `cond`, .
virtual mat | samplecond_m (const vec &cond, vec &ll, int N)
| Returns.
virtual void | condition (const vec &cond)
| Update `ep` so that it represents this mpdf conditioned on `rvc` = cond.
virtual double | evallogcond (const vec &dt, const vec &cond)
| Shortcut for conditioning and evaluation of the internal epdf. In some cases, this operation can be implemented efficiently.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Matrix version of evallogcond.
virtual | ~mpdf ()
| Destructor for future use;.
| mpdf (const RV &rv0, const RV &rvc0)
| Default constructor.
RV | _rvc () const
| access function
RV | _rv () const
| access function
epdf & | _epdf ()
| access function
epdf * | _e ()
| access function
## Protected Attributes
RV | rv
| modeled random variable
RV | rvc
| random variable in condition
epdf * | ep
| pointer to internal epdf

## Detailed Description

Conditional probability density, e.g. modeling some dependencies.

## Member Function Documentation

virtual vec mpdf::samplecond | ( | const vec & | cond,
|  | double & | ll |
| ) |  |  | `[inline, virtual]`

Returns a sample from the density conditioned on `cond`, .

Parameters:

  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

Reimplemented in mprod.

References condition(), ep, epdf::evallog(), and epdf::sample().

Referenced by MPF< BM_T >::bayes(), and PF::bayes().

virtual mat mpdf::samplecond_m | ( | const vec & | cond,
|  | vec & | ll,
|  | int | N |
| ) |  |  | `[inline, virtual]`

Returns.

Parameters:

  | N | samples from the density conditioned on `cond`, .
  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

References condition(), RV::count(), ep, epdf::evallog(), rv, and epdf::sample().

The documentation for this class was generated from the following file:

- work/git/mixpp/bdm/stat/libBM.h